#
# spec file for package xpdf (Version 3.00)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  freetype2 freetype2-devel ghostscript-fonts-std gpp libgpp openmotif openmotif-devel update-desktop-files xf86 xpm

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext ghostscript-fonts-std libstdc++-devel libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files

Name:           xpdf
License:        GPL
Group:          Productivity/Publishing/PDF
Version:        3.00
Release:        64.38
Autoreqprov:    on
Requires:       ghostscript-fonts-std, xpdf-config = %{version}
Summary:        A PDF File Viewer for the X Window System
Source:         xpdf-%{version}.tar.bz2
Source1:        xpdf-chinese-simplified.tar.bz2
Source2:        xpdf-chinese-traditional.tar.bz2
Source3:        xpdf-cyrillic.tar.bz2
Source4:        xpdf-greek.tar.bz2
Source5:        xpdf-japanese.tar.bz2
Source6:        xpdf-korean.tar.bz2
Source7:        xpdf-latin2.tar.bz2
Source8:        xpdf-thai.tar.bz2
Source9:        xpdf-turkish.tar.bz2
Source10:       xpdf-hebrew.tar.bz2
Source20:       SuSEconfig.xpdf
Source21:       xpdf-cjk-config
Source22:       xpdfrc-cjk
Source23:       xpdfrc-cjk.sjis
Patch:          xpdf-%{version}-config.patch
Patch2:         xpdf-%{version}-fonts.patch
Patch3:         xpdf-%{version}-autoconf.patch
Patch4:         xpdf-%{version}-freetype.patch
Patch5:         xpdf-config-cjk.patch
Patch6:         xpdf-%{version}-ttf-cid-fix.dif
Patch7:         xpdf-%{version}-mkstemp.dif
Patch8:         xpdf-%{version}-print-ext-ttf.dif
Patch9:         xpdf-i18n.patch
Patch10:        xpdf-settitle.patch
Patch11:        xpdf-search-non-ascii.patch
Patch12:        xpdf-fix-crash-for-fonts-with-embedded-bitmaps.patch
Patch13:        xpdf-font-optimize.dif
Patch14:        xpdf-fix-cut-and-paste-and-default-output-encoding.patch
Patch15:        xpdf-fix-crash-in-japanese-locale.patch
Patch16:        xpdf-deadlink-fix.dif
Patch17:        xpdf-postscript-lc-numeric.patch
Patch18:        xpdf-CESA-2004-002-xpdf3.diff
Patch19:        libgoo-sizet.diff
Patch20:        xpdf-3.00pl2.patch
Patch21:        xpdf-3.00pl3.patch
Patch22:        xpdf300_combined.diff
Patch23:        xpdf-3.00.CVE-2006-0301.diff
URL:            http://www.foolabs.com/xpdf/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This tool is used for viewing PDF (Portable Document Format) files. It
is designed to be small and efficient.



Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

%package -n xpdf-config
Summary:        Character maps and config files required by xpdf
Group:          Productivity/Publishing/PDF
Provides:       xpdf:/etc/xpdfrc

%description -n xpdf-config
Character maps and config files required by xpdf



Authors:
--------
    Derek B. Noonburg <derekn@ece.cmu.edu>

%prep
%setup -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10
%patch
%patch2
%patch3
%patch4
%patch5 -p1
%patch6 -p1
%patch7
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16
%patch17 -p1
%patch18
%patch19 -p1
%patch20
%patch21
%patch22 -p1
%patch23 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
autoreconf -f -i
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
  ./configure --prefix=/usr \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --enable-a4 \
	    --with-freetype2-library \
	    --without-t1-library \
	    --with-freetype2-includes=/usr/include/freetype2
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/xpdf
for file in xpdf-*/add-to-xpdfrc ; do
  sed -e "s|/usr/local/share/xpdf|/usr/share/xpdf|" -e "s|^displayCIDFontX|#displayCIDFontX|" $file >$file.new
  mv -f $file.new $file
  dir=`dirname $file`
  lang=`echo $dir|sed -e "s|xpdf-||"`
  cp -r $dir $RPM_BUILD_ROOT/usr/share/xpdf/$lang
  echo >>$RPM_BUILD_ROOT/etc/xpdfrc
  cat $file >>$RPM_BUILD_ROOT/etc/xpdfrc
done
echo "# include font setup for CJK languages" >> $RPM_BUILD_ROOT/etc/xpdfrc
echo "include /etc/xpdfrc-cjk-auto" >> $RPM_BUILD_ROOT/etc/xpdfrc
echo "include /etc/xpdfrc-cjk" >> $RPM_BUILD_ROOT/etc/xpdfrc
echo "include /etc/xpdfrc-cjk.sjis" >> $RPM_BUILD_ROOT/etc/xpdfrc
touch $RPM_BUILD_ROOT/etc/xpdfrc-cjk-auto
install -m 644 $RPM_SOURCE_DIR/xpdfrc-cjk $RPM_BUILD_ROOT/etc/xpdfrc-cjk
install -m 644 $RPM_SOURCE_DIR/xpdfrc-cjk.sjis $RPM_BUILD_ROOT/etc/xpdfrc-cjk.sjis
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d/
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.xpdf $RPM_BUILD_ROOT/sbin/conf.d/
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
install -m 755 $RPM_SOURCE_DIR/xpdf-cjk-config $RPM_BUILD_ROOT/usr/sbin/
%suse_update_desktop_file -i %name Office Viewer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*.hlp ANNOUNCE COPYING README CHANGES
/usr/bin/*
/usr/share/applications/*.desktop
%{_mandir}/man1/*

%files -n xpdf-config
%defattr(-,root,root)
/usr/sbin/xpdf-cjk-config
/sbin/conf.d/SuSEconfig.xpdf
%config(noreplace) /etc/xpdfrc
%config %verify(not md5 size mtime) /etc/xpdfrc-cjk-auto
%config /etc/xpdfrc-cjk
%config /etc/xpdfrc-cjk.sjis
%{_mandir}/man5/*
/usr/share/xpdf

%changelog -n xpdf
* Tue Feb 07 2006 - sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Thu Dec 15 2005 - sbrabec@suse.cz
- Fixed more overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec 07 2005 - sbrabec@suse.cz
- Heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Wed Jan 19 2005 - nadvornik@suse.cz
- used upstream patch for CAN-2005-0064 [#49840]
* Mon Jan 17 2005 - nadvornik@suse.cz
- fixed buffer overflow in Decrypt::makeFileKey2 (CAN-2005-0064) [#49840]
* Mon Jan 03 2005 - nadvornik@suse.cz
- fixed buffer overflow: CAN-2004-1125 [#49463]
* Wed Nov 03 2004 - thomas@suse.de
- Added fix libgoo-sizet.diff (#44963)
* Mon Oct 18 2004 - meissner@suse.de
- Added yet another sizeof() check that was missed (#44963)
* Tue Oct 12 2004 - nadvornik@suse.cz
- fixed more integer overflows - CESA-2004-002 [#43082]
* Tue Sep 14 2004 - nadvornik@suse.cz
- fixed multiple integer overflows [#43082]
* Fri Jun 18 2004 - mfabian@suse.de
- Bugzilla 42142: XtSetLanguageProc() also calls setlocale, i.e.
  there are more places where LC_NUMERIC needs to be reset to
  POSIX.
* Thu Jun 17 2004 - tiwai@suse.de, mfabian@suse.de
- Bugzilla 42142: LC_NUMERIC should be set to POSIX, otherwise
  xpdf may generate PostScript output using ',' as the decimal
  separator and Ghostscript doesn't like that.
- xpdf segfaulted when clicking on non-existing links
* Thu Jun 03 2004 - mfabian@suse.de
- add configuration entries to /etc/xpdfrc-cjk to use the Ricoh
  fonts licensed by Novell if available.
* Tue May 18 2004 - tiwai@suse.de
- Bugzilla #39312:
  xpdf sometimes didn't work for embedded CJK fonts.
* Tue May 11 2004 - mfabian@suse.de, tiwai@suse.de
- Bugzilla #39312:
- make cut-and-paste work for non-ASCII characters
- make output encoding default to "UTF-8" in UTF-8 locales
  instead of defaulting to "Latin1" always.
- workaround the crash which occurs ja_JP.UTF-8 locale when
  the .pdf file given on the command line doesn't exist.
* Mon May 10 2004 - tiwai@suse.de
- process the font rendering without the help of tempfile.
  this will improve the performance quite well with big font
  files and freetype.
* Mon May 10 2004 - mfabian@suse.de
- Bugzilla #39312:
- Comment 11: fix crash which occurs with fonts which have
  embedded bitmaps.
- add FZSongTi.ttf and FZMingTiB.ttf to xpdfrc-cjk
* Thu May 06 2004 - mfabian@suse.de, tiwai@suse.de
- Bugzilla #39312:
- apply Takashi's patch xpdf-3.00-print-ext-ttf.dif
  (has been forgotten). Takashi has improved the patch to support
  multiple faces in .ttc fonts.
- silently ignore non-existing font files to be able to
  configure more than one font in /etc/xpdfrc and let the
  last existing one win.
- add /sbin/conf.d/SuSEconfig.xpdf and /usr/sbin/xpdf-cjk-config
  to automatically create parts of the CJK font setup depending
  on the fonts actually installed.
- add /etc/xpdf-cjk and /etc/xpdf-cjk.sjis with manual
  refinements
- xpdf-i18n.patch: make it possible to display non-ASCII
  file names in the file-selector box by using fontsets
  instead of single fonts. Thanks to Gerd Knorr <kraxel@suse.de>
  for help.
- xpdf-search-non-ascii.patch: Make it possible to search for
  non-ASCII characters
- Bugzilla #39134: don't link against t1lib to avoid crashes
  in t1lib. freetype2 can render Type1 fonts as well, t1lib
  is therefore not needed.
* Wed Apr 21 2004 - tiwai@suse.de
- fixed the handling of truetype for CJK (bug #39312).
- replaced tmpnam() with mkstemp().
* Mon Mar 15 2004 - mfabian@suse.de
- Add "Provides: xpdf:/etc/xpdfrc" to xpdf-config sub-package.
* Sat Mar 13 2004 - mfabian@suse.de
- Bugzilla #33663: Split xpdf-config out of xpdf to make it
  possible for kpdf to require only the character maps and the
  config file /etc/xpdfrc and not the binary. kpdf needs the
  character maps and the config file to be able to display
  CJK .pdf files.
* Wed Mar 10 2004 - mfabian@suse.de
- Bugzilla #35524: improve the configuration to make xpdf work
  with Japanese, Korean, and traditional Chinese documents which
  don't embed the CJK fonts. It works only when the
  CID-keyed-fonts-* packages for the needed languages are
  installed.
* Mon Feb 09 2004 - nadvornik@suse.cz
- updated to 3.00
- pdf 1.5 support
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Thu Jan 08 2004 - nadvornik@suse.cz
- updated to 2.0.3
- fixed to compile wth new freetype
* Sat Aug 16 2003 - adrian@suse.de
- use translated desktop file from kappfinder
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Fri Jul 11 2003 - nadvornik@suse.cz
- updated to 2.02pl1
* Tue Jun 03 2003 - sndirsch@suse.de
- xpdf-2.01-fonts.patch:
  * use 17 pixel font instead of non-existing 16 pixel font
* Tue May 20 2003 - mmj@suse.de
- Package all man-files
* Tue Jan 07 2003 - nadvornik@suse.cz
- updated to 2.01
- switched to motif
- fixed possible buffer overflow
* Wed Jun 19 2002 - nadvornik@suse.cz
- update to 1.01
- improved I18N support
* Thu Nov 22 2001 - nadvornik@suse.cz
- update to 0.93:
- support for PDF 1.4
- support for TTF fonts
- use fonts from ghostscript-fonts-std
* Thu Jun 07 2001 - pblaha@suse.cz
- unused autoconf because many problems in old configure.in
* Mon Feb 19 2001 - mfabian@suse.de
- update to 0.92
- t1lib is a separate package now, remove it from this package
  and add it to #neededforbuild and Requires: instead.
- add configure options --enable-japanese, --enable-chinese-gb
  and --enable-chinese-cns
* Thu Feb 08 2001 - fober@suse.de
- Group Aplications/Text
* Mon Sep 18 2000 - bubnikv@suse.cz
- updated to 0.91
* Mon Aug 14 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Mon May 15 2000 - bubnikv@suse.cz
- xpdf now uses t1 library for rendering fonts
- added buildroot
* Tue Jan 25 2000 - ro@suse.de
- fixed to compile
- specfile cleanup
- man to /usr/share using macro
* Wed Oct 27 1999 - fehr@suse.de
- changed to version 0.90
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 21 1999 - ro@suse.de
- use "const char*" where needed for strict typecheck
* Fri Dec 11 1998 - fehr@suse.de
- changed to version 0.80
* Mon Oct 05 1998 - ro@suse.de
- added libgpp to neededforbuild
* Mon Jul 06 1998 - fehr@suse.de
- New version 0.7a
* Wed Jun 04 1997 - fehr@suse.de
- New version 0.7
* Wed Apr 16 1997 - fehr@suse.de
- New version 0.6
* Thu Jan 02 1997 - fehr@suse.de
- New version 0.5
